Skip to main content
GET
Retrieve a cron schedule

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization_id
string
required

The unique identifier of the organization

Maximum string length: 24
Pattern: ^[0-9a-f]{24}$
workspace_group_id
string
required

The unique identifier of the workspace group

Maximum string length: 24
Pattern: ^[0-9a-f]{24}$
schedule_id
string
required

The unique identifier of the schedule

Maximum string length: 24
Pattern: ^[0-9a-f]{24}$

Response

Schedule details successfully retrieved. The response includes cron expression, timezone, type, intermediate device information, and audit metadata.

id
string
required

The unique identifier of the schedule

Pattern: ^[0-9a-f]{24}$
Example:

"507f1f77bcf86cd799439060"

cron_expression
string
required

Cron expression defining when the schedule runs. Format: minute hour day-of-month month day-of-week.

Example:

"0 8 * * 1-5"

time_zone
string
required

Timezone for the execution of the schedule. Supports IANA identifiers (e.g., 'America/New_York') and Windows identifiers (e.g., 'Pacific Standard Time').

Example:

"Eastern Standard Time"

type
enum<string>
required

Power operation type: START (switch on), STOP (switch off), RESTART (restart Workspaces)

Available options:
start,
stop,
restart
intermediate_device
string | null

The unique identifier of the intermediate device Workspace, if configured. Used for Wake on LAN actions in secure networks.

Pattern: ^[0-9a-f]{24}$
Example:

"507f1f77bcf86cd799439050"

created_by
string | null

User ID who created the schedule

Pattern: ^[0-9a-f]{24}$
Example:

"507f1f77bcf86cd799439070"